

.container-message-layout {
    max-width: 1080px;
    margin: 0 auto;
    padding: 0 20px;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 60px;
}


.message-img-area {
    width: 35%;
    position: relative;
}

.president-img {
    width: 100%;
    height: auto;
    box-shadow: 20px 20px 0px #F0F4F8;
}

.message-label-en {
    position: absolute;
    top: -20px;
    left: -20px;
    background-color: var(--primary-color);
    color: #fff;
    padding: 10px 20px;
    font-size: 0.9rem;
    font-weight: bold;
    letter-spacing: 0.1em;
    font-family: "Helvetica Neue", Arial, sans-serif;
    box-shadow: 0 4px 10px rgba(0,0,0,0.2);
}

.message-txt-area {
    width: 60%;
    padding-top: 10px;
}


.message-body p {
    font-size: 1rem;
    line-height: 2.2;
    margin-bottom: 25px;
    text-align: justify;
    color: #444;
}

.last-greeting {
    margin-top: 40px;
    font-weight: bold;
}

.message-signature {
    margin-top: 50px;
    text-align: right;
    font-family: "Yu Mincho", "Hiragino Mincho ProN", serif;
}

.message-signature .message-position {
    display: block;
    color: #666;
    margin-bottom: 5px;
}

.message-signature .name {
    display: block;
    font-size: 1.8rem;
    font-weight: bold;
    color: #000;
}

@media (max-width: 900px) {
    .container-message-layout {
        flex-direction: column;
        padding: 0 25px;
        gap: 40px;
    }

    .message-img-area {
        width: 100%;
        margin-bottom: 20px;
        padding-left: 10px;
    }
    
    .president-img {
        box-shadow: 10px 10px 0px #F0F4F8;
    }

    /* 文章エリア */
    .message-txt-area {
        width: 100%;
        padding-top: 0;
    }

    .message-heading {
        font-size: 1.8rem;
        margin-bottom: 30px;
        br {
            display: none;
        }
    }
    
    .message-body p {
        font-size: 0.95rem;
        line-height: 1.8;
    }

    .message-signature {
        margin-top: 30px;
        text-align: left;
    }
}
